List ModelDeployments

View as Markdown
List ModelDeployments for a specific workspace. By default, returns only the latest version of each deployment.

Path parameters

workspacestringRequired

Query parameters

pageintegerOptionalDefaults to 1
Page number.
page_sizeintegerOptionalDefaults to 100
Page size.
sortstringOptionalDefaults to created_at

The field to sort by. To sort in decreasing order, use - in front of the field name.

all_versionsbooleanOptionalDefaults to false

If true, return all versions of each deployment. If false (default), return only the latest version.

filterobjectOptional

Filter deployments by workspace, project, status, config, model_provider_id, name, status_message, created_at, and updated_at.

Response

Return model deployments for a workspace
datalist of objects
paginationobject
Pagination information.
sortstring
The field on which the results are sorted.
filtermap from strings to any
Filtering information.

Errors

422
Unprocessable Entity Error